ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Driver.Backpack

Description

This is the driver for the 'ghc --backpack' mode, which is a reimplementation of the "package manager" bits of Backpack directly in GHC. The basic method of operation is to compile packages and then directly insert them into GHC's in memory database.

The compilation products of this mode aren't really suitable for Cabal, because GHC makes up component IDs for the things it builds and doesn't serialize out the database contents. But it's still handy for constructing tests.

Synopsis

- doBackpack :: [FilePath] -> Ghc ()

# Documentation

doBackpack :: [FilePath] -> Ghc () Source #

Entry point to compile a Backpack file.